Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.plexus
Class ServiceInvoker

    java.lang.Object
      org.codehaus.xfire.service.binding.ObjectInvoker
          org.codehaus.xfire.plexus.ServiceInvoker

All Implemented Interfaces:
  Invoker

    public class ServiceInvoker

extends ObjectInvoker

Invokes a Plexus service.

Since:
  Nov 18, 2004
Author:
  Dan Diephouse

Field Summary

Fields inherited from class org.codehaus.xfire.service.binding.ObjectInvoker
`SCOPE_APPLICATION, SCOPE_REQUEST, SCOPE_SESSION, SERVICE_IMPL_CLASS`

Constructor Summary
`ServiceInvoker(java.lang.String role, org.codehaus.plexus.personality.plexus.lifecycle.phase.ServiceLocator locator)`

Method Summary
`java.lang.Object` | `createServiceObject(Service service)` Override this method to control how XFire creates the service object.

Methods inherited from class org.codehaus.xfire.service.binding.ObjectInvoker
`getScope, getServiceObject, invoke, setScope`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceInvoker

    public ServiceInvoker(java.lang.String role,
                          org.codehaus.plexus.personality.plexus.lifecycle.phase.ServiceLocator locator)

Method Detail

### createServiceObject

    public java.lang.Object createServiceObject(Service service)
                                         throws XFireFault

  Description copied from class: `ObjectInvoker`
  Override this method to control how XFire creates the service object.

  Overrides:
    `createServiceObject` in class `ObjectInvoker`
  Returns:
  Throws:
    `XFireFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.